---
title: "Get card applications"
description: "Retrieve a paginated list of card applications with optional filtering."
protocol: rest
method: GET
endpoint: "/v1/cards/applications"
baseUrl: "https://api.gravv.xyz"
group: "Cards"
auth:
  label: "Api-Key"
  name: "Api-Key"
  in: header
---

# Get card applications

<Endpoint method="GET" path="/v1/cards/applications" />

Retrieve a paginated list of card applications with optional filtering.

## Query Parameters

<ParamField name="page" query="page" type="integer" default="1">
  Page number for pagination
</ParamField>

<ParamField name="items_per_page" query="items_per_page" type="integer" default="10">
  Number of applications per page
</ParamField>

## Responses

| Status | Description |
| --- | --- |
| `200` | List of card applications retrieved successfully |

### 200 response

<ResponseField name="data" type="object">

  <Expandable title="properties">
    <ResponseField name="items" type="object[]">

      <Expandable title="properties">
        <ResponseField name="application_link" type="string">
          Link for verification or application portal
        </ResponseField>

        <ResponseField name="application_status" type="string">
          Current status of the card application

          Possible values: `approved`, `pending`, `needs_verification`, `needs_information`, `manual_review`, `denied`, `locked`, `canceled`
        </ResponseField>

        <ResponseField name="customer_id" type="string">
          ID of the customer who submitted the application
        </ResponseField>

        <ResponseField name="date_created" type="string">
          Timestamp when the application was created
        </ResponseField>

        <ResponseField name="date_updated" type="string">
          Timestamp when the application was last updated
        </ResponseField>

        <ResponseField name="id" type="string">
          Unique identifier for the application
        </ResponseField>

      </Expandable>
    </ResponseField>

    <ResponseField name="items_per_page" type="integer">
      Number of applications returned per page
    </ResponseField>

    <ResponseField name="page" type="integer">
      Current page number
    </ResponseField>

    <ResponseField name="total_items" type="integer">
      Total number of applications
    </ResponseField>

    <ResponseField name="total_pages" type="integer">
      Total number of pages
    </ResponseField>

  </Expandable>
</ResponseField>

<ResponseField name="error" type="null">
</ResponseField>

<ResponseExample>

```json title="Response"
{
  "data": {
    "items": [
      {
        "application_link": "https://verify.gravv.xyz/kyc?token=example",
        "application_status": "approved",
        "customer_id": "1805c3be-abca-4698-9cbd-789fc1d619eb",
        "date_created": "2025-12-05T10:48:18.170061Z",
        "date_updated": "2025-12-06T15:31:40.273281Z",
        "id": "ac21ddfc-f6ba-432c-abb3-c5e2243e8ef7"
      },
      {
        "application_link": "https://verify.gravv.xyz/kyc?token=example",
        "application_status": "needs_verification",
        "customer_id": "ddf10e10-0ea9-4c79-b39a-ddb270ea0cff",
        "date_created": "2025-11-25T17:03:19.984008Z",
        "date_updated": "2025-11-25T17:03:19.984008Z",
        "id": "b261c1df-b88a-4b6c-8989-d6c0ac177716"
      }
    ],
    "items_per_page": 2,
    "page": 1,
    "total_items": 5,
    "total_pages": 3
  },
  "error": null
}
```

</ResponseExample>

## Authorization

- **ApiKeyAuth**
